
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/qla2xxx/qla_isr.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN drivers/scsi/qla2xxx/qla_isr.c~git-scsi-misc-qla-build-fix drivers/scsi/qla2xxx/qla_isr.c
--- 25/drivers/scsi/qla2xxx/qla_isr.c~git-scsi-misc-qla-build-fix	2005-05-31 19:39:29.000000000 -0700
+++ 25-akpm/drivers/scsi/qla2xxx/qla_isr.c	2005-05-31 19:39:46.000000000 -0700
@@ -91,9 +91,6 @@ qla2100_intr_handler(int irq, void *dev_
 	}
 	spin_unlock_irqrestore(&ha->hardware_lock, flags);
 
-	ha->last_irq_cpu = raw_smp_processor_id();
-	ha->total_isr_cnt++;
-
 	if (test_bit(MBX_INTR_WAIT, &ha->mbx_cmd_flags) &&
 	    (status & MBX_INTERRUPT) && ha->flags.mbox_int) {
 		spin_lock_irqsave(&ha->mbx_reg_lock, flags);
@@ -200,9 +197,6 @@ qla2300_intr_handler(int irq, void *dev_
 	}
 	spin_unlock_irqrestore(&ha->hardware_lock, flags);
 
-	ha->last_irq_cpu = raw_smp_processor_id();
-	ha->total_isr_cnt++;
-
 	if (test_bit(MBX_INTR_WAIT, &ha->mbx_cmd_flags) &&
 	    (status & MBX_INTERRUPT) && ha->flags.mbox_int) {
 		spin_lock_irqsave(&ha->mbx_reg_lock, flags);
_
